Gtk_Scale(3)

NAME - Gtk_Scale

HEADER REQUIRED
#include <gtk--/scale.h&gt;>

BASE CLASSES
Gtk_Range(3)

DERIVED BY
Gtk_HScale(3) Gtk_VScale(3)

PROPERTIES

draw_value
    Type: guint:1

value_pos
    Type: guint:2

     .IP

PUBLIC MEMBER INDEX
    Gtk_Scale(GtkScale *castitem);
    gint  get_digits() const;
    void  set_digits(gint digits);
    void  set_draw_value(gint draw_value);
    void  set_value_pos(GtkPositionType pos);
    gint  get_value_width() const;
    signal void  draw_value(BaseObjectType);
    GtkScale*  gtkobj();
    const GtkScale*  gtkobj() const;
    static bool  isGtkScale(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkScale  BaseObjectType;
    typedef GtkScaleClass  BaseClassType;
    virtual void * get_parent_class();
    virtual void  draw_value_impl();
    Gtk_Scale();

PRIVATE MEMBER INDEX
    static CppClassType  scale_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS